src.c.Parking.DetailsPlaces Class Reference

Controleur d'affichage des details des places d'un parking existant. More...

Inheritance diagram for src.c.Parking.DetailsPlaces:

## Public Member Functions

def | __init__ (self, main, parking)
| Contructeur. More...
def | valider (self)
| Gestion de retour sur le fenetre principal.
Public Member Functions inherited from src.c.Parking.CreaParking
def | __init__ (self, main)
| Constructeur. More...
def | addRow (self)
| Ajoute une ligne de creation de place.
def | rmRow (self)
| Enleve une ligne de creation de place.
def | annuler (self)
| Gestion annulation creation parking.
def | valider (self)
| Gestion validation de formulaire de creation de Parking.
def | showWindow (self)
| Gestion affichage CreaParking.
def | error (self, msg)
| Gestion affichage QDialog d'erreur. More...

## Detailed Description

Controleur d'affichage des details des places d'un parking existant.

## Constructor & Destructor Documentation

def src.c.Parking.DetailsPlaces.__init__ | ( |  | self,
|  |  | main,
|  |  | parking
| ) |  |

Contructeur.

Parameters

  main | Controleur parent
  parking | praking dont on veux afficher le détail

The documentation for this class was generated from the following file:

- src/c/Parking.py